Package org.apache.groovy.contracts.domain

# Class AssertionMap<T extends Assertion<T>>

java.lang.Object
org.apache.groovy.contracts.domain.AssertionMap<T>

All Implemented Interfaces:
  `Iterable<Map.Entry<MethodNode,T>>`

public class AssertionMap<T extends Assertion<T>> extends Object implements Iterable<Map.Entry<MethodNode,T>>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AssertionMap()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `and(MethodNode methodNode, T assertion)`
  `boolean`
  `contains(MethodNode methodNode)`
  `T`
  `get(MethodNode methodNode)`
  `Iterator<Map.Entry<MethodNode,T>>`
  `iterator()`
  `void`
  `join(MethodNode methodNode, T assertion)`
  `void`
  `or(MethodNode methodNode, T assertion)`
  `int`
  `size()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

- ## Constructor Details

  - ### AssertionMap

    public AssertionMap()

- ## Method Details

  - ### and

    public void and(MethodNode methodNode, T assertion)

  - ### or

    public void or(MethodNode methodNode, T assertion)

  - ### join

    public void join(MethodNode methodNode, T assertion)

  - ### contains

    public boolean contains(MethodNode methodNode)

  - ### iterator

    public Iterator<Map.Entry<MethodNode,T>> iterator()
    Specified by:
      `iterator` in interface `Iterable<T extends Assertion<T>>`

  - ### size

    public int size()

  - ### get

    public T get(MethodNode methodNode)